
create function getid (@data xml)
returns int
with schemabinding
as
begin
return @data.value('*[1]/@ID','INT')
end

create function getname (@data xml)
returns varchar(20)
with schemabinding
as
begin
return @data.value('*[1]/@Name', 'VARCHAR(20)')
end

create table xmlinvoice (
 theinvoice xml,
 id as dbo.getid(theinvoice) persisted primary key,
 name as dbo.getname(theinvoice) persisted
)

insert xmlinvoice values('
<invoice ID="1" Name="Bob">
</invoice>')
insert xmlinvoice values('
<invoice ID="2" Name="Mary">
</invoice>')

select * from xmlinvoice
