use tempdb
go

create xml schema collection foo2
as
'<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" 

xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="people">
		<xs:complexType>
			<xs:sequence>
				<xs:element maxOccurs="unbounded" name="person">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="name">
								<xs:complexType>
									<xs:sequence>
										<xs:element name="givenName" type="xs:string" />
										<xs:element name="familyName" type="xs:string" />
									</xs:sequence>
								</xs:complexType>
							</xs:element>
							<xs:element name="age" type="xs:integer" />
							<xs:element name="height" type="xs:string" />
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
        <xs:complexType name="OpenPerson">
           <xs:sequence>
               <xs:any processContents="lax" namespace="##any" />
           </xs:sequence>
        </xs:complexType>
</xs:schema>'